### File

`packages/ecl/shared/services/ecl-header-menu-comunication.service.ts`

### Index

###### Properties
Public bottomSpaceY$ Public isMobileObjectOpen$ Public isObjectExpanded$
###### Methods
updateBottomSpaceY updateExpanded updateOpen

### Constructor

`constructor()`

### Methods

updateBottomSpaceY
`updateBottomSpaceY(value: number)`
Parameters :
Name | Type | Optional
value | `number` | No
Returns : `void`

updateExpanded
`updateExpanded(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

updateOpen
`updateOpen(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

### Properties

Public bottomSpaceY$
Type : `Observable<number>`

Public isMobileObjectOpen$
Type : `Observable<boolean>`

Public isObjectExpanded$
Type : `Observable<boolean>`

# results matching ""

# No results matching ""